var Input = {
	init: function() {
		var self = this;
		document.addEventListener('keydown', function(event) {
			var gotInput = false;
			switch (event.keyCode) {
				case 9:
					self.tab = true;
					gotInput = true;
					break;
				case 13:
					self.enter = true;
					gotInput = true;
					break;
				case 17:
					self.ctrl = true;
					gotInput = true;
					break;
				case 27:
					self.escape = true;
					gotInput = true;
					break;
				case 32:
					self.space = true;
					gotInput = true;
					break;
				case 37:
					self.left = true;
					gotInput = true;
					break;
				case 39:
					self.right = true;
					gotInput = true;
					break;
				case 38:
					self.up = true;
					gotInput = true;
					break;
				case 40:
					self.down = true;
					gotInput = true;
					break;
				case 65:
					self.a = true;
					gotInput = true;
					break;
				case 68:
					self.d = true;
					gotInput = true;
					break;
				default:
			}
			if (gotInput) {
				event.preventDefault();
			}
		});
		document.addEventListener('keyup', function(event) {
			var gotInput = false;
			switch (event.keyCode) {
				case 9:
					self.tab = false;
					gotInput = true;
					break;
				case 13:
					self.enter = false;
					gotInput = true;
					break;
				case 17:
					self.ctrl = false;
					gotInput = true;
					break;
				case 27:
					self.escape = false;
					gotInput = true;
					break;
				case 32:
					self.space = false;
					gotInput = true;
					break;
				case 37:
					self.left = false;
					gotInput = true;
					break;
				case 39:
					self.right = false;
					gotInput = true;
					break;
				case 38:
					self.up = false;
					gotInput = true;
					break;
				case 40:
					self.down = false;
					gotInput = true;
				case 65:
					self.a = false;
					gotInput = true;
					break;
				case 68:
					self.d = false;
					gotInput = true;
					break;
				default:
			}
			if (gotInput) {
				event.preventDefault();
			}
		});
	}
};
Input.init();