function Explosion(x, y, scale = 1) {
	var animation = new Animation(Loader.explosion, 6, 0, 0, 48, 48);
	Entity.call(this, "Explosion", animation, x, y, 48 * scale, 48 * scale);
	animation.play(6);
	var self = this;
	animation.onComplete = function() {
		EntityManager.kill(self);
	};
	this.physical = false;
};
Explosion.prototype = Object.create(Entity.prototype);