
const RES_PATH = 'res/img/Game/';
const IMG_EXT = 'png';

function loadImage(fileName) {
	var img = new Image();
	img.src = (RES_PATH + fileName + '.' + IMG_EXT);
	return img;
}

var Loader = {
	background: loadImage('background'),
	paper_plane: loadImage('paper_plane'),
	paper_plane_enemy: loadImage('paper_plane_enemy'),
	table: loadImage('table'),
	plant: loadImage('plant'),
	plant_enemy: loadImage('plant_enemy'),
	window: loadImage('window'),
	shelf: loadImage('shelf'),
	explosion: loadImage('explosion'),
	bullet: loadImage('bullet'),
	loot: loadImage('loot'),
	bomb: loadImage('bomb'),
	missile: loadImage('missile'),
	bomb_enemy: loadImage('bomb_enemy'),
	missile_enemy: loadImage('missile_enemy')
};
